Get Node Ancestry

GET
/v1/nodes/{node_id}/ancestry

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Query Parameters

max_depth?Max Depth
Default256
projection?Projection
Default"topology"
Value in"full""topology""core"

Response Body

Successful Response

application/json
  1. response
anchor_node_id*Anchor Node Id
cycle_detected*Cycle Detected
incomplete_parent_links*array<>
max_depth*Max Depth
multi_parent_choices*array<>
nodes*array<>
parent_selection_strategy*Parent Selection Strategy
path_edge_count*Path Edge Count
path_node_count*Path Node Count
path_node_ids*array<string>
root_node_id*Root Node Id
truncated*Truncated
[key: string]?any
Example Request
curl -X GET 'https://flywheel.paradigma.inc/api/v1/nodes/string/ancestry'
Example Response
{  "anchor_node_id": "string",  "cycle_detected": true,  "incomplete_parent_links": [    {      "candidate_parent_ids": [        "string"      ],      "node_id": "string"    }  ],  "max_depth": 0,  "multi_parent_choices": [    {      "candidate_parent_ids": [        "string"      ],      "node_id": "string",      "selected_parent_id": "string"    }  ],  "nodes": [    {}  ],  "parent_selection_strategy": "string",  "path_edge_count": 0,  "path_node_count": 0,  "path_node_ids": [    "string"  ],  "root_node_id": "string",  "truncated": true}